Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - nixnote2-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: nixnote2-git v2.0.beta7.r0.gf960829-1

Git Clone URL: https://aur-dev.archlinux.org/nixnote2-git.git (read-only)
Package Base: nixnote2-git
Description: Nixnote2 is a C++ rewrite of nixnote,which is a clone of Evernote designed to run on Linux.Nixnote is formerly called nevernote.
Upstream URL: http://nevernote.sourceforge.net/
Licenses: GPL2
Conflicts: nixnote-beta, nixnote2
Provides: nixnote2
Submitter: maz-1
Maintainer: archsir
Last Packager: maz-1
Votes: 11
Popularity: 0.421841
First Submitted: 2015-10-04 07:15
Last Updated: 2015-12-26 13:07

Latest Comments

1 2 Next › Last »

levinit commented on 2017-01-19 03:44

this aur was stopped update?
please try https://aur.archlinux.org/packages/nixnote-beta/

petronny commented on 2017-01-02 07:34

@archsir you are the maintainer of this package now, please update the PKGBUILD to yours.

sparky_005 commented on 2016-12-31 01:26

@archsir your updated PKGBUILD worked for me!

archsir commented on 2016-12-10 16:53

Ok, good news! I re-wrote the package build this morning and it is working fine on the latest version pulled from Git.

==Gist containing the pkgbuild from this morning==
https://gist.github.com/sunjam/a66d4f048ff5b61ff35cdd645cb9168e

==Changes from previous pkgbuild==
Changes away from Git version numbers to just "latest"
Updates conflicts
Removes certs package failure
Package now builds properly with opencv, so no need for LD_PRELOAD

==Bugs==
Newest version of nixnote does not display a version number, just _VERSION_

mani.zaeim commented on 2016-12-08 04:06

Fail on building:
==> Entering fakeroot environment...
==> Starting package()...
cp: cannot stat './certs': No such file or directory
==> ERROR: A failure occurred in package().
Aborting...
==> ERROR: Makepkg was unable to build nixnote2-git.

equinoxefr commented on 2016-11-04 19:02

Hi,

It seems that copy of certs dir is not necessary anymore. https://github.com/baumgarr/nixnote2/commit/112f7aa7e923b8093a5c23312b2225645bbddc2f

macxcool commented on 2016-09-12 23:14

@masolit That works. Hopefully downgrading opencv doesn't mess something else up.

masolit commented on 2016-04-25 10:34

downgrade opencv to opencv-2.4.12.3-1-x86_64.pkg.tar.xz

Frans-Willem commented on 2016-04-25 10:08

Package no longer seems to compile, with cv::VideoCapture::VideoCapture and cv::VideoCapture::isOpened being undefined references. I'ce tried both with the normal opencv package, as well as the opencv-git package.

Any ideas on how to fix this ?

piedro commented on 2015-12-25 16:58

Hello Alex,

I think if you drop the "642" from the original version to something like "2.0.beta.rxyz" this should be remedied. After renaming the original version once to something lower as the build version it should work ever after.

At the moment the search for updated packages finds a version HIGHER as "2.0.beta.xyz" ... because it's named "642.xyz...". From my understanding this causes yaourt to always find a higher (later) version everytime it looks for updates resulting in reinstalling over and over again... (642 > 2)

Though it should work fine with the manual method as you suggested.

I do not have the same problem with other git packages...

Sorry for any inconvenience,
have a nice holiday,
piedro